Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Code Recommenders » How to install from the archive?(It'd be nice to still be able to use this plugin...)
How to install from the archive? [message #1811318] Fri, 30 August 2019 16:50 Go to next message
Fred Freddington is currently offline Fred FreddingtonFriend
Messages: 3
Registered: August 2019
Junior Member
I'm trying to work out how to install code recommenders from the archive. Eclipse is basically as good as using a plain text editor without it. I've managed to download the 10.4GB archive file, despite multiple disconnects (timeouts?), but I can't find any instructions anywhere online for installing an archived plug-in.

I think I might need to do something with /recommenders/archives/updates/stable/v2.5.4/ but I'm not sure. I also thought the most recent stable download was still meant to be available when a project is archived, but I can't find it anywhere.

"All but the last download is removed from the website." https://wiki.eclipse.org/Development_Resources/HOWTO/Archived_Phase

Anyone with expertise who can lend some insight?

[Updated on: Fri, 30 August 2019 16:57]

Report message to a moderator

Re: How to install from the archive? [message #1814809 is a reply to message #1811318] Thu, 19 September 2019 02:25 Go to previous messageGo to next message
Ozone Grif is currently offline Ozone GrifFriend
Messages: 1
Registered: September 2019
Junior Member
Go to Help -> Install new software...

Add a repository:
"Code Recommenders"
https://repo.eclipse.org/content/shadows/releases.unzip/org/eclipse/recommenders/stable/2.5.4/stable-2.5.4.zip-unzip/

Then it will propose you to install the plugin.
Re: How to install from the archive? [message #1814890 is a reply to message #1814809] Sat, 21 September 2019 18:18 Go to previous messageGo to next message
Vít Rozkovec is currently offline Vít RozkovecFriend
Messages: 5
Registered: September 2019
Junior Member
Thank you! Works for me in 2019-06 (4.12.0).
Re: How to install from the archive? [message #1815051 is a reply to message #1814890] Tue, 24 September 2019 19:06 Go to previous message
Fred Freddington is currently offline Fred FreddingtonFriend
Messages: 3
Registered: August 2019
Junior Member
Thanks, this worked for me too for installing it, but I'm getting an error about not being able to download its model repository index when I try to use it. Any ideas on how to fix that one?
Previous Topic:Code recommenders plugin dead?
Next Topic:This forum has been closed
Goto Forum:
  


Current Time: Mon Sep 20 06:35:29 GMT 2021

Powered by FUDForum. Page generated in 0.02066 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top